#
# spec file for package grub (Version 0.5.96.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cyrus-sasl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

# Commandline: 
Name:         grub
Copyright:    Gnu GPL
Group:        System Environment/Base
Summary:      GRand Unified Bootloader
Version:      0.5.96.1
Release:      104
Source0:      grub-0.5.96.1.tar.bz2
Patch0:       grub-0.5.96.1.dif

%description
GNU GRUB is a Multiboot loader. It was derived from GRUB. It is an attempt to
produce a bootloader for IBM PC-compatible machines that has
both the capability to be friendly to beginning or otherwise non-technically
interested users and the flexibility to help experts in diverse
environments.
It is compatible with Free/Net/OpenBSD and Linux. It supports Win 9x/NT and OS/2
via chain-loaders. It has a menu interface and
a command-line interface.

Authors:
--------
    Alessandro Rubini <rubini@gnu.org>
    Chip Salzenberg <chip@valinux.com>
    Edmund GRIMLEY EVANS <edmundo@rano.demon.co.uk>
    Edward Killips <ekillips@triton.net>
    Gordon Matzigkeit <gord@fig.org>
    Jochen Hoenicke <jochen@gnu.org>
    Khimenko Victor <grub@khim.sch57.msk.ru>
    Klaus Reichl <Klaus.Reichl@alcatel.at>
    Michael Hohmuth <hohmuth@innocent.com>
    OKUJI Yoshinori <okuji@gnu.org>
    Pavel Roskin <proski@gnu.org>

SuSE series: ap

%prep
%setup -n grub-0.5.96.1
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man \
  --sbindir=/sbin --datadir=/boot/grub
  
make

%install
make install
install -d /boot
install -d /boot/grub
(cd /boot ; ln -s ./ boot ; cd -)
install -m 744 util/installgrub /sbin

%files
%doc BUGS NEWS TODO README THANKS AUTHORS INSTALL ChangeLog COPYING 
%docdir /usr/share/info
%docdir /usr/share/man
%docdir /usr/share/doc/packages/grub
%dir /boot/grub
/usr/bin/mbchk
/usr/share/info/grub.info-1.gz
/usr/share/info/grub.info-2.gz
/usr/share/info/grub.info-3.gz
/usr/share/info/grub.info-4.gz
/usr/share/info/grub.info.gz
/usr/share/info/multiboot.info.gz
/%{_mandir}/man1/mbchk.1.gz
/%{_mandir}/man8/grub-install.8.gz
/%{_mandir}/man8/grub.8.gz
/sbin/grub
/sbin/grub-install
/sbin/installgrub
/boot/boot
/boot/grub/e2fs_stage1_5
/boot/grub/fat_stage1_5
/boot/grub/ffs_stage1_5
/boot/grub/minix_stage1_5
/boot/grub/reiserfs_stage1_5
/boot/grub/stage1
/boot/grub/stage2

%changelog -n grub
* Mon Mar 19 2001 - tw@suse.de
- switched to grub 0.5.96.1 so the patch of device.c is no longer needed
- build --recheck into the installgrub-script
* Mon Jan 15 2001 - tw@suse.de
- first changes are, not to install the stage-bootloaders to /usr/share.
  They shouldn't be there in case of the FHS.
  So there are some changes to some Makefiles.in and .am
- second: because the stage-bootloaders are not in /usr/share, they needend
  to be copyed there by "grub-install".
- third: added a new script to ./util "installgrub", that searches automatical
  the most commen partition-typs, the kernels and the initrds, to install
  the bootmanager without action by the user.
- fourth: there was a bug in ./lib/device.c, that causes a DISK WRITE ERROR.
  It is fixed now. (Only a O_RDONLY needed to be changed to O_RDRW)
